import {parse} from "next-useragent";
import DashboardExpertManagementComponent from "@/components/dashboard/expert-management";

export default function ExpertManagement() {
    return (
        <DashboardExpertManagementComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.expert_management",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_experts"]}}
        },
    };
}
